Last Comment Bug 776405 - Intermittent configure failures for win32-on-win64 builds - 'Breakpad tools do not support compiling on WINNT while targeting WINNT. Use --disable-crashreporter'
: Intermittent configure failures for win32-on-win64 builds - 'Breakpad tools ...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- normal (vote)
: mozilla17
Assigned To: Ed Morley [:emorley]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 15:57 PDT by Nick Thomas [:nthomas]
Modified: 2012-08-16 17:58 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove parentheses (1.38 KB, patch)
2012-08-15 09:09 PDT, Ed Morley [:emorley]
ted: review+
Details | Diff | Splinter Review

Description Nick Thomas [:nthomas] 2012-07-22 15:57:51 PDT
Exhibit A:
From #build on irc:
<ted> well that's exciting: https://tbpl.mozilla.org/php/getParsedLog.php?id=13682580&tree=Try
<ted> configure: error: Breakpad tools do not support compiling on WINNT while targeting WINNT.  Use --disable-crashreporter.
<ted> that's in a
<ted> if (test "$OS_ARCH" != "$HOST_OS_ARCH"); then

Opt build, slave w64-ix-slave51, try rev e8c115e0bda9. Rebuilds on w64-ix-slave54 & w64-ix-slave26 were able to configure.

Exhibit B:
https://tbpl.mozilla.org/php/getParsedLog.php?id=13758098&tree=Try for mounir. Debug build, slave w64-ix-slave31, try rev e1413f1c6566. A rebuild got past the error on w64-ix-slave34.

These are the only two instances I can find in grepping over 14 days of try logs (opt & debug). Any ideas on what might be happening Ted ?
Comment 1 Ted Mielczarek [:ted.mielczarek] 2012-07-22 18:04:11 PDT
No. That IRC snippet was from my *own* try build, I was flummoxed. A rebuild succeeded, so it wasn't an error in the patches I pushed.
Comment 2 Nick Thomas [:nthomas] 2012-07-23 00:30:48 PDT
Not just try either:
https://tbpl.mozilla.org/php/getParsedLog.php?id=13764979&tree=Mozilla-Inbound
WINNT 5.2 mozilla-inbound build on 2012-07-23 00:21:12 PDT for push fda9279d7031
slave: w64-ix-slave80
Comment 5 Phil Ringnalda (:philor) 2012-08-06 21:44:41 PDT
Not actually just win32-on-win64, we've had them intermittently on win64 all along, we just haven't cared.

https://tbpl.mozilla.org/php/getParsedLog.php?id=14176217&tree=Mozilla-Inbound
Comment 6 Ted Mielczarek [:ted.mielczarek] 2012-08-07 05:49:01 PDT
I have no idea what's going on here. Given the error message I don't see how the test can fail. The only thing that's remotely suspicious to me is that the test is wrapped in unnecessary parentheses, which means that it will be executed in a subshell. Perhaps there's some weirdness there?
http://mxr.mozilla.org/mozilla-central/source/configure.in#5807
Comment 7 Mike Hommey [:glandium] 2012-08-07 06:02:58 PDT
It would certainly not hurt to remove those parentheses.
Comment 10 Ed Morley [:emorley] 2012-08-15 09:09:05 PDT
Created attachment 652120 [details] [diff] [review]
Remove parentheses

Removes a couple of superfluous parentheses.
Comment 12 Ryan VanderMeulen [:RyanVM] 2012-08-16 17:58:30 PDT
https://hg.mozilla.org/mozilla-central/rev/47720e51836f

Note You need to log in before you can comment on or make changes to this bug.